pw_time Struct Reference
Stream

A time structure. More...

## Data Fields

int64_t | now
| the monotonic time in nanoseconds More...
struct spa_fraction | rate
| the rate of ticks and delay More...
uint64_t | ticks
| the ticks at now. More...
int64_t | delay
| delay to device, add to ticks to get the time of the device. More...
uint64_t | queued
| data queued in the stream, this is the sum of the size fields in the pw_buffer that are currently queued More...

## Detailed Description

A time structure.

## Field Documentation

## now

int64_t pw_time::now

the monotonic time in nanoseconds

## rate

struct spa_fraction pw_time::rate

the rate of ticks and delay

## ticks

uint64_t pw_time::ticks

the ticks at now.

This is the current time that the remote end is reading/writing.

## delay

int64_t pw_time::delay

delay to device, add to ticks to get the time of the device.

Positive for INPUT streams and negative for OUTPUT streams.

## queued

uint64_t pw_time::queued

data queued in the stream, this is the sum of the size fields in the pw_buffer that are currently queued

The documentation for this struct was generated from the following file:

- pipewire/stream.h